Subject: [magma] DAD and MLDv1/MLDv2

From: Grubmair Peter <[email-masked]>
Date: Thu, 24 Mar 2005 17:51:30 +0100

Hi, sorry for bothering.
I would like to know how MLDv2 can currently work
Without being temporarily being forced to MLDv1 mode,
Even if all listeners have MLDv2 implemented.

RFC2461 (even the newest draft   
<draft-ietf-ipv6-2461bis-02.txt> )
Requires on page 56, chapter 7.2.1 interface initialization -
To use MLD [MLD] for joining group of solicitated node
Multicast address. As [MLD] is a referenc to RFC 2710,
This means MLDv1.
MLDv2 RFC states, that a listener must work in MLDv1 mode for
Some time, if it receives an MLDv1 Query on that interface.
A MLDv2 router must work in MLDv1 mode for some time , if it receives a
MLDv1
Report for a specific address. 
A MLDv1 router sends Queries for an address, if he receives
A Done. 
So if the IPv6 node shuts down its interface or drops
A private address and therefore leaves the multicast group of the
Solicitated node address - all Multicast listeners are temporary forced
To MLDv1 mode by the Address queries in response to the done message.
Is that desired or is something wrong with the above conclusion ?
Best regards
   Peter

_______________________________________________
magma mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/magma

---

From: Greg Daley <[email-masked]>
Date: Tue, 29 Mar 2005 10:45:12 +1000

Hi Peter,

> Is that desired or is something wrong with the above conclusion ?

The 2461bis document references may need to be updated slightly.

the Stateless Address Autoconfiguration update document (which
defines DAD) refers to 3810 on page 14.

draft-ietf-ipv6-rfc2462bis-07.txt:

"Note that when a node joins a multicast address, it typically sends a
  Multicast Listener Discovery (MLD) report message [RFC2710][RFC3810]
  for the multicast address."

Greg